gsasl_init(3)

NAME
gsasl_init - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_init(Gsasl ** ctx);

ARGUMENTS

Gsasl ** ctx
    pointer to libgsasl handle.

DESCRIPTION
This functions initializes libgsasl. The handle pointed to by ctx is valid for use with other libgsasl functions iff this function is successful. It also register all builtin SASL mechanisms, using gsasl_register().

RETURN VALUE
GSASL_OK iff successful, otherwise GSASL_MALLOC_ERROR.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.